<?php
if ( !function_exists( 'add_action' ) ) {
    exit;
}

if( get_option("DCRP_start") == 1 ) {

	
	function DCRP_styAdd() {
		wp_enqueue_script( 'DCRP-script', 
                       DCRP_URL."functions/assets/js/dcrp-script.js", 
                       array(), 
                       '1.0.0', 
                       true);
		wp_enqueue_style('DCRP-style', DCRP_URL."functions/assets/css/dcrp-style.css");
	}	
	
	function DCRP_scriptAdd() {
		//if post page
		if ( is_single() ){
			global $post;
			$postId = $post->ID;
			$cats = (get_option("DCRP_suggestType") == 2) ? @$_COOKIE["DCRP_Tags"] : @$_COOKIE["DCRP_Categories"];
			$catsName = (get_option("DCRP_suggestType") == 2) ? 2 : 1;
			$cookieTime = (!empty(get_option("DCRP_suggestTime"))) ? get_option("DCRP_suggestTime") : 2629743;
			$DCRP_idLimit = (!empty(get_option("DCRP_idLimit"))) ? get_option("DCRP_idLimit") : 10;
			
			$typeArray = array();
			if(get_option("DCRP_suggestType") == 2) {
				foreach((get_the_tags()) as $category){
					array_push($typeArray, $category->term_id);
				}
				
			} else {
				foreach((get_the_category()) as $category){
					array_push($typeArray, $category->term_id);
				}
			}
			
			?>
			<script type="text/javascript">
			document.addEventListener("DOMContentLoaded", function(event) { 
				var IDType = <?php echo esc_js($catsName); ?>;
				var cookieTime = <?php echo esc_js($cookieTime); ?>;
				var idLimit = <?php echo esc_js($DCRP_idLimit); ?>;
				var defaultID = <?php echo json_encode($typeArray); ?>;
				var readyID = <?php if(!isset($cats)) { echo "undefined"; } else { echo $cats; } ?>;
				categoryRun(IDType, defaultID, readyID, cookieTime, idLimit);
			});</script><?php
			
		} 
		
		if(get_option("DCRP_suggestCat") == 1) {
			
			if((is_category() && get_option("DCRP_suggestType") == 1) || (is_tag() && get_option("DCRP_suggestType") == 2)) {
				
				$id = array();
				
				if(get_option("DCRP_suggestType") == 2) {
					$tag = get_queried_object();
					$id[] = $tag->term_id;
				} else if(get_option("DCRP_suggestType") == 1){
					$category = get_category(get_query_var('cat'));
					$id[] = $category->cat_ID;
				}
				
				$cats = (get_option("DCRP_suggestType") == 2) ? @$_COOKIE["DCRP_Tags"] : @$_COOKIE["DCRP_Categories"];
				$catsName = (get_option("DCRP_suggestType") == 2) ? 2 : 1;
				$cookieTime = (!empty(get_option("DCRP_suggestTime"))) ? get_option("DCRP_suggestTime") : 2629743;
				$DCRP_idLimit = (!empty(get_option("DCRP_idLimit"))) ? get_option("DCRP_idLimit") : 10;
				
				?><script type="text/javascript">
				document.addEventListener("DOMContentLoaded", function(event) { 
					var IDType = <?php echo esc_js($catsName); ?>;
					var cookieTime = <?php echo esc_js($cookieTime); ?>;
					var idLimit = <?php echo esc_js($DCRP_idLimit); ?>;
					var defaultID = <?php echo json_encode($id); ?>;
					var readyID = <?php if(!isset($cats)) { echo "undefined"; } else { echo $cats; } ?>;
					categoryRun(IDType, defaultID, readyID, cookieTime, idLimit);
				});</script><?php
				
			}
		} 
		
		if(get_option("DCRP_suggestSea") == 1) {
		
			if(is_search()) {
				
				$searchArgs = array(
					's' => get_search_query(),
					'post_type' => "post",
					'post_status' => "publish",
					'posts_per_page' => 5
				);

				// The Query
				$searchLoop = new WP_Query( $searchArgs );
				$searchPosts = $searchLoop->posts;
				
				$ids = array();
				
				if(count($searchPosts) > 0) {
					foreach ( $searchPosts as $s ) {
						if(count($ids) == 5)
							break;
									
						$searchPostIDs = $s->ID;
						
						if(get_option("DCRP_suggestType") == 2) {
								foreach((get_the_tags($searchPostIDs)) as $tag){
									//check if array >5
									if(count($ids) == 5)
										break;
									
									array_push($ids, $tag->term_id);
								}
								
							} else {
								foreach((get_the_category($searchPostIDs)) as $category){
									//check if array >5
									if(count($ids) == 5)
										break;
									
									array_push($ids, $category->term_id);
								}
							}
						
					}
				}
				
				$cats = (get_option("DCRP_suggestType") == 2) ? @$_COOKIE["DCRP_Tags"] : @$_COOKIE["DCRP_Categories"];
				$catsName = (get_option("DCRP_suggestType") == 2) ? 2 : 1;
				$cookieTime = (!empty(get_option("DCRP_suggestTime"))) ? get_option("DCRP_suggestTime") : 2629743;
				$DCRP_idLimit = (!empty(get_option("DCRP_idLimit"))) ? get_option("DCRP_idLimit") : 10;
				
				?><script type="text/javascript">
				document.addEventListener("DOMContentLoaded", function(event) { 
					var IDType = <?php echo esc_js($catsName); ?>;
					var cookieTime = <?php echo esc_js($cookieTime); ?>;
					var idLimit = <?php echo esc_js($DCRP_idLimit); ?>;
					var defaultID = <?php echo json_encode($ids); ?>;
					var readyID = <?php if(!isset($cats)) { echo "undefined"; } else { echo $cats; } ?>;
					categoryRun(IDType, defaultID, readyID, cookieTime, idLimit);
				});</script><?php
				
			}
		
		}
	}	
	add_action("wp_footer", "DCRP_scriptAdd");
	add_action( "wp_enqueue_scripts", "DCRP_styAdd" );
	
	function DCRP_excerpt ($excerpt, $max){
		$excerpt = wp_trim_words( $excerpt, $max , "...");
		return $excerpt;
	}
	
	
	function DCRP_get_suggest_loop($wStyle, $PPPdata, $instance, $getImage, $getDate, $getExcerpt) {
		
		// Query Arguments
		if (get_option("DCRP_suggestType") == 2) {
			$getCookie = @json_decode($_COOKIE["DCRP_Tags"]); 
			$type = "tag__in";
		} else { 
			$getCookie = @json_decode($_COOKIE["DCRP_Categories"]); 
			$type = "category__in";
		}
		
		//comment check
		if(!empty(get_option("DCRP_suggestComment")))
			$purchCheck = get_option("DCRP_suggestComment");
		else
			$purchCheck = 1;
		
		//add to array - comment cat/tag ids
		if($purchCheck == 1 && !empty(DCRP_cItems()) && !empty($getCookie))
			$getCookie = array_reduce(array($getCookie, DCRP_cItems()), 'array_merge', array());
		elseif ($purchCheck == 1 && !empty(DCRP_cItems()) && empty($getCookie))
			$getCookie = DCRP_cItems();
		
		//check excerpt
		if(empty($getExcerpt))
			$excerpt = 0;
		else
			$excerpt = $getExcerpt;
		
		//check date
		if(empty($getDate))
			$date = 0;
		else
			$date = $getDate;
		
		//check img
		if(empty($getImage))
			$image = 0;
		else
			$image = $getImage;
		
		//check style
		if(empty($wStyle))
			$getStyle = 0;
		else
			$getStyle = $wStyle;
		
		// posts per page check
		if(empty($PPPdata))
			$checkPPP = 5;
		else
			$checkPPP = $PPPdata;
		
		$getInstance = $instance;
		if($getInstance > 6)
			$getInstance = 6;
		else if($getInstance < 1)
			$getInstance = 1;
		
		
		$args = array(
			'post_type' => "post",
			'post_status' => "publish",
			'posts_per_page' => $checkPPP,
			'order' => 'DESC',
			'orderby' => 'rand',
			$type => $getCookie
		);

		// The Query
		$DCRPPost = new WP_Query( $args );
		
		// The Query
		if ( $DCRPPost->have_posts() ) : while ( $DCRPPost->have_posts() ) : $DCRPPost->the_post(); 
		//start loop
			//if style 0
			if ($getStyle == 0) :
				include(DCRP_DIR."templates/default-loop.php");
			elseif ($getStyle == 1) :	
				include(DCRP_DIR."templates/aipr-loop.php");
			//grids
			elseif ($getStyle == 2) :
				include(DCRP_DIR."templates/sp-default-loop.php");
			elseif ($getStyle == 3) :
				include(DCRP_DIR."templates/sp-aipr-loop.php");
			endif;
			
		//endwhile
		endwhile; 
			wp_reset_postdata();
		endif;
	}
	
	
	function DCRP_cItems() {
		if( !is_admin() && is_user_logged_in() ) {
			if(get_option("DCRP_suggestComment") == 1) {
				
				$args = array(
					'user_id' => get_current_user_id(),
					'number' => 5, // how many comments to retrieve
					'status' => 'approve'
					);

				$comments = get_comments( $args );
				$typeArray = array();
				
				if ( $comments ) {
					foreach ( $comments as $c ) {
						//check if array >5
						if(count($typeArray) == 5)
							break;
						
						$postIDComment = $c->comment_post_ID;
						
						if(get_option("DCRP_suggestType") == 2) {
							foreach((get_the_tags($postIDComment)) as $tag){
								//check if array >5
								if(count($typeArray) == 5)
									break;
								
								array_push($typeArray, $tag->term_id);
							}
							
						} else {
							foreach((get_the_category($postIDComment)) as $category){
								//check if array >5
								if(count($typeArray) == 5)
									break;
								
								array_push($typeArray, $category->term_id);
							}
						}
					}
				}
				
				return $typeArray;
			   
			}
		}
	}
	
}
	