<?php
if ( !function_exists( 'add_action' ) ) {
    exit;
}

if( get_option("DCRP_start") == 1 ) {
 
class DCRP_Widget extends WP_Widget {
 
    function __construct() {
 
        parent::__construct(
            'dcrp-widget',  // Base ID
            __( 'AI Related Posts', 'DCRP-plugin' ),   // Name
			array('description' => __( 'Display AI Related Posts as a widget.', 'DCRP-plugin' ))
        );
 
        add_action( 'widgets_init', function() {
            register_widget( 'DCRP_Widget' );
        });
 
    }
 
    public $args = array(
        'before_title'  => '<h4 class="widgettitle">',
        'after_title'   => '</h4>'
    );
 
    public function widget( $args, $instance ) {
		if(get_option("DCRP_suggestType") == 2) : $getCookie = @$_COOKIE["DCRP_Tags"]; else: $getCookie = @$_COOKIE["DCRP_Categories"]; endif;
			
			echo '<div class="widget">';
	 
			if ( ! empty( $instance['title'] ) ) {
				echo $args['before_title'] . apply_filters( 'widget_title', $instance['title'] ) . $args['after_title'];
			}
			
			$image = $instance['image'];  
			if($image == "on") {
				$image = 1;
			} else {
				$image = 0;
			}
			
			$date = $instance['date'];  
			if($date == "on") {
				$date = 1;
			} else {
				$date = 0;
			}
			
			$excerpt = $instance['excerpt'];  
			if($excerpt == "on") {
				$excerpt = 1;
			} else {
				$excerpt = 0;
			}
			
			$wStyle = $instance['wStyle'];  
			
			$columnID = $instance['columnID'];  
			
			if(!empty($instance['wPPP'])) : $wPPP = $instance['wPPP']; else: $wPPP = ""; endif; 
			
			if ($wStyle == 0) :
				echo '<section class="widget_recent_entries"><ul>';			
				echo DCRP_get_suggest_loop($wStyle, $wPPP, 0, $image, $date, $excerpt);
				echo '</ul></section>';
			elseif ($wStyle == 1) :
				echo '<ul class="AIPS_list">';			
				echo DCRP_get_suggest_loop($wStyle, $wPPP, 0, $image, $date, $excerpt);
				echo '</section>';
			elseif ($wStyle == 2) :
				echo '<div class="widget_recent_entries dcrp-row">';			
				echo DCRP_get_suggest_loop($wStyle, $wPPP, $columnID, $image, $date, $excerpt);
				echo '</div>';
			elseif ($wStyle == 3) :
				echo '<div class="AIPS_list dcrp-row">';			
				echo DCRP_get_suggest_loop($wStyle, $wPPP, $columnID, $image, $date, $excerpt);
				echo '</div>';
			endif;
			
			echo '</div>';
 
    }
 
    public function form( $instance ) {
 
        $title = ! empty( $instance['title'] ) ? $instance['title'] : "";
        $image = ! empty( $instance['image'] ) ? 1 : 0;
        $date = ! empty( $instance['date'] ) ? 1 : 0;
        $excerpt = ! empty( $instance['excerpt'] ) ? 1 : 0;
        $wPPP = ! empty( $instance['wPPP'] ) ? $instance['wPPP'] : 5;
        $wStyle = ! empty( $instance['wStyle'] ) ? $instance['wStyle'] : 0;
        $columnID = ! empty( $instance['columnID'] ) ? $instance['columnID'] : 1;
        ?>
        <p>
        <label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php echo esc_html__( 'Title:', 'DCRP-plugin' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>">
        </p>       
		
		<p>
		
        <label for="<?php echo esc_attr( $this->get_field_id( 'wStyle' ) ); ?>"><?php echo esc_html__( 'Widget Style:', 'DCRP-plugin' ); ?></label>
		<select class="widefat" name="<?php echo esc_attr( $this->get_field_name( 'wStyle' ) ); ?>">
		
			<option value="0" <?php if( $wStyle == 0) {echo 'selected="selected"';} ?>><?php echo esc_html__("Default Widget Theme","DCRP-plugin") ?></option>
			<option value="1" <?php if( $wStyle == 1) {echo 'selected="selected"';} ?>><?php echo esc_html__("AIPR Widget Theme","DCRP-plugin") ?></option>
			<option value="2" <?php if( $wStyle == 2) {echo 'selected="selected"';} ?>><?php echo esc_html__("Default Shortcode Theme","DCRP-plugin") ?></option>
			<option value="3" <?php if( $wStyle == 3) {echo 'selected="selected"';} ?>><?php echo esc_html__("AIPR Shortcode Theme","DCRP-plugin") ?></option>
		</select>
		
		</p>
		
		<p>
        <label for="<?php echo esc_attr( $this->get_field_id( 'image' ) ); ?>"><?php echo esc_html__( 'Display Post Image:', 'DCRP-plugin' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'image' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'image' ) ); ?>" type="checkbox" <?php if ($image == 1) { echo "checked"; }?>>
        </p>
		
		<p>
        <label for="<?php echo esc_attr( $this->get_field_id( 'date' ) ); ?>"><?php echo esc_html__( 'Display Post Date:', 'DCRP-plugin' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'date' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'date' ) ); ?>" type="checkbox" <?php if ($date == 1) { echo "checked"; }?>>
        </p>
		
		<p>
        <label for="<?php echo esc_attr( $this->get_field_id( 'excerpt' ) ); ?>"><?php echo esc_html__( 'Display Post Excerpt:', 'DCRP-plugin' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'excerpt' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'excerpt' ) ); ?>" type="checkbox" <?php if ($excerpt == 1) { echo "checked"; }?>>
        </p>
		
		
		<p>
        <label for="<?php echo esc_attr( $this->get_field_id( 'wPPP' ) ); ?>"><?php echo esc_html__( 'Number of posts to show:', 'DCRP-plugin' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'wPPP' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'wPPP' ) ); ?>" type="text" value="<?php echo esc_attr( $wPPP ); ?>">
        </p>		
		
		<p>
		<?php if(($wStyle == 2) || ($wStyle == 3)) { ?>
        <label for="<?php echo esc_attr( $this->get_field_id( 'columnID' ) ); ?>"><?php echo esc_html__( 'Number of Columns (max: 6):', 'DCRP-plugin' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'columnID' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'columnID' ) ); ?>" type="text" value="<?php echo esc_attr( $columnID ); ?>">
        </p>
		<?php } 
    }
 
    public function update( $new_instance, $old_instance ) {
 
        $instance = array();
 
        $instance['title'] = ( !empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
        $instance['wStyle'] = ( !empty( $new_instance['wStyle'] ) ) ? strip_tags( $new_instance['wStyle'] ) : '';
        $instance['image'] = ( !empty( $new_instance['image'] ) ) ? strip_tags( $new_instance['image'] ) : '';
        $instance['date'] = ( !empty( $new_instance['date'] ) ) ? strip_tags( $new_instance['date'] ) : '';
        $instance['excerpt'] = ( !empty( $new_instance['excerpt'] ) ) ? strip_tags( $new_instance['excerpt'] ) : '';
        $instance['wPPP'] = ( !empty( $new_instance['wPPP'] ) ) ? strip_tags( $new_instance['wPPP'] ) : '';
        $instance['columnID'] = ( !empty( $new_instance['columnID'] ) ) ? strip_tags( $new_instance['columnID'] ) : '';
		
        return $instance;
    }
 
}
$my_widget = new DCRP_Widget();
	
}
	